# Transport_Queueing_Strategies.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/orbconf.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for Transport_Queueing_Strategies.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TimeBase

## Classes

class | TAO::Transport_Queueing_Strategy
| Define the interface for the Queueing Strategy. More...
class | TAO::Default_Transport_Queueing_Strategy
class | TAO::Flush_Transport_Queueing_Strategy
class | TAO::Eager_Transport_Queueing_Strategy
class | TAO::Delayed_Transport_Queueing_Strategy
| Delay the buffering decision until the transport blocks. More...

## Detailed Description

Id
  Transport_Queueing_Strategies.h,v 1.4 2005/11/24 11:05:46 ossama Exp

Queueing strategies for the ORB Messaging layer.

Author:
  Irfan Pyarali